
<?php
echo '<a class="retour" href="index.php?action=utilisateurs" class="retour">< Retour</a>';
if (isset($return)){
    if ($return == 'user-modif-error'){
        echo '<p style="color:red;">Veuillez remplir tous les champs</p>';
    }
    elseif($return == 'email-modif-error'){
        echo "<p style='color:red;'>Ce mail est déja associé à un compte.</p>";
    }
}
$stmt= Affiche1Utilisateur($_GET['id']);
$utilisateur = $stmt->fetch(PDO::FETCH_ASSOC);
echo "<h1>Modifier le profil utilisateur</h1>";
echo "<form method='post' class='form-inscription' enctype='multipart/form-data' action=index.php?action=traite-modif-utilisateur&id=".$_GET['id'].">";
echo "<span class='form-preview-pp'>
        <label for='photo'> <img class='pp-preview' id='img-preview' src='img/img";
        if (file_exists('img/img'.$utilisateur['id_utilisateur'].'.png')){
            echo $utilisateur['id_utilisateur'].".png'";
        }
        elseif(file_exists('img/img'.$utilisateur['id_utilisateur'].'.jpg')){
            echo $utilisateur['id_utilisateur'].".jpg'";
        }
        else{
            echo "0.png'";
        }
echo " alt=''></label>
        <input type='file' name='fichier' id='photo' class='input-file' accept='image/png, image/jpeg' >
        <div class='reset-pp'> Réinitialiser </div>
</span>";
echo "<span><label for='prenom'>Prénom</label><br>";
echo "<input type='text' id='prenom' name='prenom' value='".$utilisateur['prenom']."' required='required'><br><br>";
echo "<label for='nom'>Nom</label><br>";
echo "<input type='text' id='nom' name='nom' value='".$utilisateur['nom']."' required='required'><br><br>";
echo "<label for='email'>Email</label><br>";
echo "<input type='email' id='email' name='email' value='".$utilisateur['email']."' required='required'><br><br>";
echo "<input type='submit' value='Modifier'></span>";
echo "</form>";

?>